## python-enable 3.3.1

=== examples/kiva/agg/agg-24/BeOS/Makefile ===
include ../../Makefile.in.$(shell uname)

PLATFORM=BeOS

PLATFORMSOURCES=../../src/platform/$(PLATFORM)/agg_platform_support.o

CXXFLAGS= $(AGGCXXFLAGS) -I../../include \
-L../../src \
$(PIXFMT)

CXXFREETYPEFLAGS= $(AGGCXXFLAGS) -Wall \
-I../../include \
-I../../font_freetype \
-I/boot/home/config/include/ \
-L../../src \
-L/boot/home/config/lib/ \
$(PIXFMT)

LIBS = $(AGGLIBS) -lroot -lbe -ltranslation

base:
	cd ../../src/; make
	make aa_demo
	make aa_test
	make alpha_gradient
	make alpha_mask
	make alpha_mask2
	make alpha_mask3
	make bezier_div
	make bspline
	make circles
	make component_rendering
	make conv_contour
	make conv_dash_marker
	make conv_stroke
	make flash_rasterizer
	make flash_rasterizer2
	make gamma_correction
	make gamma_ctrl
	make gamma_tuner
	make gouraud
	make gouraud_mesh
	make gradients
	make graph_test
	make idea
	make lion
	make lion_lens
	make lion_outline
	make multi_clip
	make pattern_fill
	make perspective
	make polymorphic_renderer
	make raster_text
	make rasterizers
	make rasterizers2
	make rounded_rect
	make scanline_boolean
	make scanline_boolean2
	make simple_blur
	make trans_polar
	make image_alpha
	make image_filters
	make image_filters2
	make image_fltr_graph
	make image_perspective
	make image_resample
	make image_transforms
	make image1
	make distortions
	make pattern_perspective
	make compositing
	make compositing2
	make line_patterns
	make line_patterns_clip
	make mol_view
	
freetype:
	make freetype_test
	make trans_curve1_ft
	make trans_curve2_ft

gpc:
	make gpc_test
	
all:
	make base
	make freetype
	make gpc

aa_demo: ../aa_demo.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o aa_demo $(LIBS)

aa_test: ../aa_test.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o aa_test $(LIBS)

alpha_gradient: ../alpha_gradient.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o alpha_gradient $(LIBS)

alpha_mask: ../alpha_mask.o ../parse_lion.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o alpha_mask $(LIBS)

alpha_mask2: ../alpha_mask2.o ../parse_lion.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o alpha_mask2 $(LIBS)

alpha_mask3: ../alpha_mask3.o ../make_arrows.o ../make_gb_poly.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o alpha_mask3 $(LIBS)
	
bezier_div: ../bezier_div.o ../interactive_polygon.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o bezier_div $(LIBS)

bspline: ../bspline.o ../interactive_polygon.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o bspline $(LIBS)

circles: ../circles.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o circles $(LIBS)

component_rendering: ../component_rendering.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o component_rendering $(LIBS)

compositing: ../compositing.o $(PLATFORMSOURCES) compositing.ppm
	$(CXX) $(CXXFLAGS) ../compositing.o $(PLATFORMSOURCES) -o compositing $(LIBS)

compositing2: ../compositing2.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o compositing2 $(LIBS)

conv_contour: ../conv_contour.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o conv_contour $(LIBS)

conv_dash_marker: ../conv_dash_marker.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o conv_dash_marker $(LIBS)

conv_stroke: ../conv_stroke.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o conv_stroke $(LIBS)

distortions: ../distortions.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../distortions.o $(PLATFORMSOURCES) -o distortions $(LIBS)

flash_rasterizer: ../flash_rasterizer.o $(PLATFORMSOURCES) shapes.txt
	$(CXX) $(CXXFLAGS) ../flash_rasterizer.o $(PLATFORMSOURCES) -o flash_rasterizer $(LIBS)

flash_rasterizer2: ../flash_rasterizer2.o $(PLATFORMSOURCES) shapes.txt
	$(CXX) $(CXXFLAGS) ../flash_rasterizer2.o $(PLATFORMSOURCES) -o flash_rasterizer2 $(LIBS)

gamma_correction: ../gamma_correction.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o gamma_correction $(LIBS)

gamma_ctrl: ../gamma_ctrl.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gamma_ctrl $(LIBS)

gamma_tuner: ../gamma_tuner.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gamma_tuner $(LIBS)

gouraud: ../gouraud.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gouraud $(LIBS)

gouraud_mesh: ../gouraud_mesh.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gouraud_mesh $(LIBS)

gradients: ../gradients.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gradients $(LIBS)

graph_test: ../graph_test.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o graph_test $(LIBS)

idea: ../idea.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o idea $(LIBS)

image_alpha: ../image_alpha.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../image_alpha.o $(PLATFORMSOURCES) -o image_alpha $(LIBS)

image_filters: ../image_filters.o $(PLATFORMSOURCES) spheres.ppm 
	$(CXX) $(CXXFLAGS) ../image_filters.o $(PLATFORMSOURCES) -o image_filters $(LIBS)

image_filters2: ../image_filters2.o $(PLATFORMSOURCES) spheres.ppm 
	$(CXX) $(CXXFLAGS) ../image_filters2.o $(PLATFORMSOURCES) -o image_filters2 $(LIBS)

image_fltr_graph: ../image_fltr_graph.o $(PLATFORMSOURCES) spheres.ppm 
	$(CXX) $(CXXFLAGS) ../image_fltr_graph.o $(PLATFORMSOURCES) -o image_fltr_graph $(LIBS)

image_perspective: ../image_perspective.o ../interactive_polygon.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../image_perspective.o  ../interactive_polygon.o $(PLATFORMSOURCES) -o image_perspective $(LIBS)

image_resample: ../image_resample.o  ../interactive_polygon.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../image_resample.o ../interactive_polygon.o $(PLATFORMSOURCES) -o image_resample $(LIBS)

image_transforms: ../image_transforms.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../image_transforms.o $(PLATFORMSOURCES) -o image_transforms $(LIBS)

image1: ../image1.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../image1.o $(PLATFORMSOURCES) -o image1 $(LIBS)

line_patterns: ../line_patterns.o $(PLATFORMSOURCES) 1.ppm 2.ppm 3.ppm 4.ppm 5.ppm 6.ppm 7.ppm 8.ppm 9.ppm
	$(CXX) $(CXXFLAGS) ../line_patterns.o $(PLATFORMSOURCES) -o line_patterns $(LIBS)

line_patterns_clip: ../line_patterns_clip.o $(PLATFORMSOURCES) 1.ppm
	$(CXX) $(CXXFLAGS) ../line_patterns_clip.o $(PLATFORMSOURCES) -o line_patterns_clip $(LIBS)

lion: ../lion.o ../parse_lion.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o lion $(LIBS)

lion_lens: ../lion_lens.o ../parse_lion.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o lion_lens $(LIBS)

lion_outline: ../lion_outline.o ../parse_lion.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o lion_outline $(LIBS)

mol_view: ../mol_view.o $(PLATFORMSOURCES) 1.sdf
	$(CXX) $(CXXFLAGS) ../mol_view.o $(PLATFORMSOURCES) -o mol_view $(LIBS)

multi_clip: ../multi_clip.o ../parse_lion.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o multi_clip $(LIBS)

pattern_fill: ../pattern_fill.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o pattern_fill $(LIBS)

pattern_perspective: ../pattern_perspective.o ../interactive_polygon.o $(PLATFORMSOURCES) agg.ppm
	$(CXX) $(CXXFLAGS) ../pattern_perspective.o ../interactive_polygon.o $(PLATFORMSOURCES) -o pattern_perspective $(LIBS)

perspective: ../perspective.o ../interactive_polygon.o ../parse_lion.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o perspective $(LIBS)

polymorphic_renderer: ../polymorphic_renderer.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o polymorphic_renderer $(LIBS)

raster_text: ../raster_text.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o raster_text $(LIBS)

rasterizers: ../rasterizers.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o rasterizers $(LIBS)

rasterizers2: ../rasterizers2.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o rasterizers2 $(LIBS)

rounded_rect: ../rounded_rect.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o rounded_rect $(LIBS)

scanline_boolean: ../scanline_boolean.o ../interactive_polygon.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o scanline_boolean $(LIBS)

scanline_boolean2: ../scanline_boolean2.o ../make_arrows.o ../make_gb_poly.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o scanline_boolean2 $(LIBS)

simple_blur: ../simple_blur.o ../parse_lion.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o simple_blur $(LIBS)

trans_polar: ../trans_polar.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o trans_polar $(LIBS)
	
freetype_test: ../freetype_test.o ../../font_freetype/agg_font_freetype.o $(PLATFORMSOURCES)  timesi.ttf
	$(CXX) $(CXXFREETYPEFLAGS) ../freetype_test.o ../../font_freetype/agg_font_freetype.o $(PLATFORMSOURCES) -o freetype_test $(LIBS) -lfreetype
	
trans_curve1_ft: ../trans_curve1_ft.o ../../font_freetype/agg_font_freetype.o  ../interactive_polygon.o $(PLATFORMSOURCES) timesi.ttf
	$(CXX) $(CXXFLAGS) ../trans_curve1_ft.o ../../font_freetype/agg_font_freetype.o  ../interactive_polygon.o $(PLATFORMSOURCES) -o trans_curve1_ft $(LIBS) -lfreetype
	
trans_curve2_ft: ../trans_curve2_ft.o ../../font_freetype/agg_font_freetype.o  ../interactive_polygon.o $(PLATFORMSOURCES) timesi.ttf
	$(CXX) $(CXXFLAGS) ../trans_curve2_ft.o ../../font_freetype/agg_font_freetype.o  ../interactive_polygon.o $(PLATFORMSOURCES) -o trans_curve2_ft $(LIBS) -lfreetype
	
gpc_test: ../gpc_test.o ../make_arrows.o ../make_gb_poly.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gpc_test $(LIBS)

clean:
	rm -f ../*.o
	rm -f ../../src/platform/$(PLATFORM)/agg_platform_support.o
	rm -rf aa_demo
	rm -rf aa_test
	rm -rf alpha_gradient
	rm -rf alpha_mask
	rm -rf alpha_mask2
	rm -rf alpha_mask3
	rm -rf bezier_div
	rm -rf bspline
	rm -rf circles
	rm -rf component_rendering
	rm -rf conv_contour
	rm -rf conv_dash_marker
	rm -rf conv_stroke
	rm -rf flash_rasterizer
	rm -rf flash_rasterizer2
	rm -rf gamma_correction
	rm -rf gamma_ctrl
	rm -rf gamma_tuner
	rm -rf gouraud
	rm -rf gouraud_mesh
	rm -rf gradients
	rm -rf graph_test
	rm -rf idea
	rm -rf lion
	rm -rf lion_lens
	rm -rf lion_outline
	rm -rf multi_clip
	rm -rf pattern_fill
	rm -rf perspective
	rm -rf polymorphic_renderer
	rm -rf raster_text
	rm -rf rasterizers
	rm -rf rasterizers2
	rm -rf rounded_rect
	rm -rf scanline_boolean
	rm -rf scanline_boolean2
	rm -rf simple_blur
	rm -rf trans_polar
	rm -rf image_alpha
	rm -rf image_filters
	rm -rf image_filters2
	rm -rf image_fltr_graph
	rm -rf image_perspective
	rm -rf image_resample
	rm -rf image_transforms
	rm -rf image1
	rm -rf distortions
	rm -rf pattern_perspective
	rm -rf compositing
	rm -rf line_patterns
	rm -rf line_patterns_clip
	rm -rf mol_view
	rm -rf freetype_test
	rm -rf trans_curve1_ft
	rm -rf trans_curve2_ft
	rm -rf gpc_test

agg.ppm:
	@echo "Required file missing!!"
	@echo "Please download http://www.antigrain.com/agg.ppm to /examples/X11/"
	@echo "Attempting to retrieve via wget: (will fail if wget is not installed)"
	wget http://www.antigrain.com/agg.ppm

compositing.ppm:
	@echo "Required file missing!!"
	@echo "Please download http://www.antigrain.com/compositing.ppm to /examples/X11/"
	@echo "Attempting to retrieve via wget: (will fail if wget is not installed)"
	wget http://www.antigrain.com/compositing.ppm

spheres.ppm:
	@echo "Required file missing!!"
	@echo "Please download http://www.antigrain.com/spheres.ppm to /examples/X11/"
	@echo "Attempting to retrieve file: (will fail if wget is not installed)"
	wget http://www.antigrain.com/spheres.ppm

shapes.txt:
	@echo "Required file missing!!"
	@echo "Please download http://www.antigrain.com/shapes.txt to /examples/X11/"
	@echo "Attempting to retrieve file: (will fail if wget is not installed)"
	wget http://www.antigrain.com/shapes.txt

1.sdf:
	@echo "Required file missing!!"
	@echo "Please download http://www.antigrain.com/1.sdf to /examples/macosx_carbon/"
	@echo "Attempting to retrieve file: (will fail if wget is not installed)"
	wget http://www.antigrain.com/1.sdf

1.ppm:
	@echo "Required file missing!!"
	@echo "Please download http://www.antigrain.com/line_patterns.tar.gz to /examples/X11/ and decompress it"
	@echo "Attempting to retrieve file: (will fail if wget is not installed)"
	wget http://www.antigrain.com/line_patterns.tar.gz
	gunzip line_patterns.tar.gz
	tar -xvf line_patterns.tar
	
timesi.ttf:
	@echo "Required file missing!!"
	@echo "Please download http://www.antigrain.com/timesi.zip to /examples/X11/ and decompress it"

=== examples/kiva/agg/agg-24/X11/Makefile ===
include ../../Makefile.in.$(shell uname)

PLATFORM=X11

PLATFORMSOURCES=../../src/platform/$(PLATFORM)/agg_platform_support.o

CXXFLAGS= $(AGGCXXFLAGS) -I../../include \
-L../../src \
$(PIXFMT)

CXXFREETYPEFLAGS= $(AGGCXXFLAGS) -Wall \
-I../../include \
-I../../font_freetype \
-I/usr/local/include/freetype2 \
-L../../src \
$(PIXFMT)

LIBS = $(AGGLIBS) -lm -lX11

base:
	cd ../../src/; make
	make aa_demo
	make aa_test
	make alpha_gradient
	make alpha_mask
	make alpha_mask2
	make alpha_mask3
	make bezier_div
	make bspline
	make circles
	make component_rendering
	make conv_contour
	make conv_dash_marker
	make conv_stroke
	make flash_rasterizer
	make flash_rasterizer2
	make gamma_correction
	make gamma_ctrl
	make gamma_tuner
	make gouraud
	make gouraud_mesh
	make gradients
	make graph_test
	make idea
	make lion
	make lion_lens
	make lion_outline
	make multi_clip
	make pattern_fill
	make perspective
	make polymorphic_renderer
	make raster_text
	make rasterizers
	make rasterizers2
	make rounded_rect
	make scanline_boolean
	make scanline_boolean2
	make simple_blur
	make trans_polar
	make image_alpha
	make image_filters
	make image_filters2
	make image_fltr_graph
	make image_perspective
	make image_resample
	make image_transforms
	make image1
	make distortions
	make pattern_perspective
	make compositing
	make compositing2
	make line_patterns
	make line_patterns_clip
	make mol_view
	
freetype:
	make freetype_test
	make trans_curve1_ft
	make trans_curve2_ft

gpc:
	make gpc_test

all:
	make base
	make freetype
	make gpc
	make svg_test

aa_demo: ../aa_demo.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o aa_demo $(LIBS)

aa_test: ../aa_test.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o aa_test $(LIBS)

alpha_gradient: ../alpha_gradient.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o alpha_gradient $(LIBS)

alpha_mask: ../alpha_mask.o ../parse_lion.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o alpha_mask $(LIBS)

alpha_mask2: ../alpha_mask2.o ../parse_lion.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o alpha_mask2 $(LIBS)

alpha_mask3: ../alpha_mask3.o ../make_arrows.o ../make_gb_poly.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o alpha_mask3 $(LIBS)
	
bezier_div: ../bezier_div.o ../interactive_polygon.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o bezier_div $(LIBS)

bspline: ../bspline.o ../interactive_polygon.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o bspline $(LIBS)

circles: ../circles.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o circles $(LIBS)

component_rendering: ../component_rendering.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o component_rendering $(LIBS)

compositing: ../compositing.o $(PLATFORMSOURCES) compositing.ppm
	$(CXX) $(CXXFLAGS) ../compositing.o $(PLATFORMSOURCES) -o compositing $(LIBS)

compositing2: ../compositing2.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o compositing2 $(LIBS)

conv_contour: ../conv_contour.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o conv_contour $(LIBS)

conv_dash_marker: ../conv_dash_marker.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o conv_dash_marker $(LIBS)

conv_stroke: ../conv_stroke.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o conv_stroke $(LIBS)

distortions: ../distortions.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../distortions.o $(PLATFORMSOURCES) -o distortions $(LIBS)

flash_rasterizer: ../flash_rasterizer.o $(PLATFORMSOURCES) shapes.txt
	$(CXX) $(CXXFLAGS) ../flash_rasterizer.o $(PLATFORMSOURCES) -o flash_rasterizer $(LIBS)

flash_rasterizer2: ../flash_rasterizer2.o $(PLATFORMSOURCES) shapes.txt
	$(CXX) $(CXXFLAGS) ../flash_rasterizer2.o $(PLATFORMSOURCES) -o flash_rasterizer2 $(LIBS)

gamma_correction: ../gamma_correction.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o gamma_correction $(LIBS)

gamma_ctrl: ../gamma_ctrl.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gamma_ctrl $(LIBS)

gamma_tuner: ../gamma_tuner.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gamma_tuner $(LIBS)

gouraud: ../gouraud.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gouraud $(LIBS)

gouraud_mesh: ../gouraud_mesh.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gouraud_mesh $(LIBS)

gradients: ../gradients.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gradients $(LIBS)

graph_test: ../graph_test.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o graph_test $(LIBS)

idea: ../idea.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o idea $(LIBS)

image_alpha: ../image_alpha.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../image_alpha.o $(PLATFORMSOURCES) -o image_alpha $(LIBS)

image_filters: ../image_filters.o $(PLATFORMSOURCES) spheres.ppm 
	$(CXX) $(CXXFLAGS) ../image_filters.o $(PLATFORMSOURCES) -o image_filters $(LIBS)

image_filters2: ../image_filters2.o $(PLATFORMSOURCES) spheres.ppm 
	$(CXX) $(CXXFLAGS) ../image_filters2.o $(PLATFORMSOURCES) -o image_filters2 $(LIBS)

image_fltr_graph: ../image_fltr_graph.o $(PLATFORMSOURCES) spheres.ppm 
	$(CXX) $(CXXFLAGS) ../image_fltr_graph.o $(PLATFORMSOURCES) -o image_fltr_graph $(LIBS)

image_perspective: ../image_perspective.o ../interactive_polygon.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../image_perspective.o  ../interactive_polygon.o $(PLATFORMSOURCES) -o image_perspective $(LIBS)

image_resample: ../image_resample.o  ../interactive_polygon.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../image_resample.o ../interactive_polygon.o $(PLATFORMSOURCES) -o image_resample $(LIBS)

image_transforms: ../image_transforms.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../image_transforms.o $(PLATFORMSOURCES) -o image_transforms $(LIBS)

image1: ../image1.o $(PLATFORMSOURCES) spheres.ppm
	$(CXX) $(CXXFLAGS) ../image1.o $(PLATFORMSOURCES) -o image1 $(LIBS)

line_patterns: ../line_patterns.o $(PLATFORMSOURCES) 1.ppm 2.ppm 3.ppm 4.ppm 5.ppm 6.ppm 7.ppm 8.ppm 9.ppm
	$(CXX) $(CXXFLAGS) ../line_patterns.o $(PLATFORMSOURCES) -o line_patterns $(LIBS)

line_patterns_clip: ../line_patterns_clip.o $(PLATFORMSOURCES) 1.ppm
	$(CXX) $(CXXFLAGS) ../line_patterns_clip.o $(PLATFORMSOURCES) -o line_patterns_clip $(LIBS)

lion: ../lion.o ../parse_lion.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o lion $(LIBS)

lion_lens: ../lion_lens.o ../parse_lion.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o lion_lens $(LIBS)

lion_outline: ../lion_outline.o ../parse_lion.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o lion_outline $(LIBS)

mol_view: ../mol_view.o $(PLATFORMSOURCES) 1.sdf
	$(CXX) $(CXXFLAGS) ../mol_view.o $(PLATFORMSOURCES) -o mol_view $(LIBS)

multi_clip: ../multi_clip.o ../parse_lion.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o multi_clip $(LIBS)

pattern_fill: ../pattern_fill.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o pattern_fill $(LIBS)

pattern_perspective: ../pattern_perspective.o ../interactive_polygon.o $(PLATFORMSOURCES) agg.ppm
	$(CXX) $(CXXFLAGS) ../pattern_perspective.o ../interactive_polygon.o $(PLATFORMSOURCES) -o pattern_perspective $(LIBS)

perspective: ../perspective.o ../interactive_polygon.o ../parse_lion.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o perspective $(LIBS)

polymorphic_renderer: ../polymorphic_renderer.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o polymorphic_renderer $(LIBS)

raster_text: ../raster_text.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o raster_text $(LIBS)

rasterizers: ../rasterizers.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o rasterizers $(LIBS)

rasterizers2: ../rasterizers2.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o rasterizers2 $(LIBS)

rounded_rect: ../rounded_rect.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o rounded_rect $(LIBS)

scanline_boolean: ../scanline_boolean.o ../interactive_polygon.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o scanline_boolean $(LIBS)

scanline_boolean2: ../scanline_boolean2.o ../make_arrows.o ../make_gb_poly.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o scanline_boolean2 $(LIBS)

simple_blur: ../simple_blur.o ../parse_lion.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o simple_blur $(LIBS)

trans_polar: ../trans_polar.o $(PLATFORMSOURCES) 
	$(CXX) $(CXXFLAGS) $^ -o trans_polar $(LIBS)
	
freetype_test: ../freetype_test.o ../../font_freetype/agg_font_freetype.o $(PLATFORMSOURCES)  timesi.ttf
	$(CXX) $(CXXFREETYPEFLAGS) ../freetype_test.o ../../font_freetype/agg_font_freetype.o $(PLATFORMSOURCES) -o freetype_test $(LIBS) -lfreetype
	
trans_curve1_ft: ../trans_curve1_ft.o ../../font_freetype/agg_font_freetype.o  ../interactive_polygon.o $(PLATFORMSOURCES) timesi.ttf
	$(CXX) $(CXXFLAGS) ../trans_curve1_ft.o ../../font_freetype/agg_font_freetype.o  ../interactive_polygon.o $(PLATFORMSOURCES) -o trans_curve1_ft $(LIBS) -lfreetype
	
trans_curve2_ft: ../trans_curve2_ft.o ../../font_freetype/agg_font_freetype.o  ../interactive_polygon.o $(PLATFORMSOURCES) timesi.ttf
	$(CXX) $(CXXFLAGS) ../trans_curve2_ft.o ../../font_freetype/agg_font_freetype.o  ../interactive_polygon.o $(PLATFORMSOURCES) -o trans_curve2_ft $(LIBS) -lfreetype
	
gpc_test: ../gpc_test.o ../make_arrows.o ../make_gb_poly.o $(PLATFORMSOURCES)
	$(CXX) $(CXXFLAGS) $^ -o gpc_test $(LIBS)

svg_test: ../svg_viewer/agg_svg_parser.o ../svg_viewer/agg_svg_path_renderer.o ../svg_viewer/agg_svg_path_tokenizer.o ../svg_viewer/svg_test.o $(PLATFORMSOURCES) tiger.svg
	$(CXX) $(CXXFLAGS) ../svg_viewer/agg_svg_parser.o ../svg_viewer/agg_svg_path_renderer.o ../svg_viewer/agg_svg_path_tokenizer.o ../svg_viewer/svg_test.o $(PLATFORMSOURCES) -o svg_test $(LIBS) -lfreetype -lexpat

clean:
	rm -f ../*.o
	rm -f ../svg_viewer/*.o
	rm -f ../../src/platform/$(PLATFORM)/agg_platform_support.o

agg.ppm:
	@echo "Please download http://www.antigrain.com/agg.ppm"
	@echo "Attempting to retrieve via wget: (will fail if wget is not installed)"
	wget http://www.antigrain.com/agg.ppm

compositing.ppm:
	@echo "Please download http://www.antigrain.com/compositing.ppm"
	@echo "Attempting to retrieve via wget: (will fail if wget is not installed)"
	wget http://www.antigrain.com/compositing.ppm

spheres.ppm:
	@echo "Please download http://www.antigrain.com/spheres.ppm"
	@echo "Attempting to retrieve file: (will fail if wget is not installed)"
	wget http://www.antigrain.com/spheres.ppm

shapes.txt:
	@echo "Please download http://www.antigrain.com/shapes.txt"
	@echo "Attempting to retrieve file: (will fail if wget is not installed)"
	wget http://www.antigrain.com/shapes.txt

1.sdf:
	@echo "Please download http://www.antigrain.com/1.sdf"
	@echo "Attempting to retrieve file: (will fail if wget is not installed)"
	wget http://www.antigrain.com/1.sdf

1.ppm:
	@echo "Please download http://www.antigrain.com/line_patterns.tar.gz and decompress it"
	@echo "Attempting to retrieve file: (will fail if wget is not installed)"
	wget http://www.antigrain.com/line_patterns.tar.gz
	gunzip line_patterns.tar.gz
	tar -xvf line_patterns.tar
	
timesi.ttf:
	@echo "Please download http://www.antigrain.com/timesi.zip and decompress it"
	@echo "Attempting to retrieve file: (will fail if wget is not installed)"
	wget http://www.antigrain.com/timesi.zip
	unzip -o timesi.zip

tiger.svg:
	@echo "Please download http://www.antigrain.com/svg/tiger.svg"
	@echo "Attempting to retrieve file: (will fail if wget is not installed)"
	wget http://www.antigrain.com/svg/tiger.svg
	
../freetype_test.o:	../freetype_test.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFREETYPEFLAGS) $*.cpp -o $@
	
../trans_curve1_ft.o:	../trans_curve1_ft.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFREETYPEFLAGS) $*.cpp -o $@
	
../trans_curve2_ft.o:	../trans_curve2_ft.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFREETYPEFLAGS) $*.cpp -o $@
	
../../font_freetype/agg_font_freetype.o: ../../font_freetype/agg_font_freetype.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFREETYPEFLAGS) $*.cpp -o $@
	
../gpc_test.o:	../gpc_test.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) -I../../gpc $*.cpp -o $@

%.o:	%.cpp
	@echo \< $*.cpp \>
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@
	

.PHONY : clean

=== examples/kiva/agg/agg-24/win32_api_dmc/Makefile ===
#==============================================
# Digital Mars Makefile 
#
# Modify this variable if necessary
#
DM   = \dm\bin
#

CXX  = $(DM)\dmc.exe -c -I..\..\include -I..\..\gpc -I..\..\font_win32_tt 
C    = $(DM)\dmc.exe -c -o+speed -I..\..\gpc 
LINK = $(DM)\dmc.exe -L$(DM)\link.exe -L/SU:WINDOWS gdi32.lib
LIB  = $(DM)\lib.exe

all: aa_demo.exe \
     aa_test.exe \
     alpha_gradient.exe \
     alpha_mask.exe \
     alpha_mask2.exe \
     alpha_mask3.exe \
     bezier_div.exe \
     bspline.exe \
     circles.exe \
     component_rendering.exe \
     compositing.exe \
     compositing2.exe \
     conv_contour.exe \
     conv_dash_marker.exe \
     conv_stroke.exe \
     distortions.exe \
     flash_rasterizer.exe \
     flash_rasterizer2.exe \
     gamma_correction.exe \
     gamma_ctrl.exe \
     gamma_tuner.exe \
     gouraud.exe \
     gouraud_mesh.exe \
     gpc_test.exe \
     gradients.exe \
     graph_test.exe \
     idea.exe \
     image1.exe \
     image_alpha.exe \
     image_filters.exe \
     image_filters2.exe \
     image_fltr_graph.exe \
     image_perspective.exe \
     image_resample.exe \
     image_transforms.exe \
     line_patterns.exe \
     line_patterns_clip.exe \
     lion.exe \
     lion_lens.exe \
     lion_outline.exe \
     mol_view.exe \
     multi_clip.exe \
     pattern_fill.exe \
     pattern_perspective.exe \
     pattern_resample.exe \
     perspective.exe \
     polymorphic_renderer.exe \
     rasterizers.exe \
     rasterizers2.exe \
     raster_text.exe \
     rounded_rect.exe \
     scanline_boolean.exe \
     scanline_boolean2.exe \
     simple_blur.exe \
     trans_curve1.exe \
     trans_curve2.exe \
     trans_polar.exe \
     truetype_test.exe

aa_demo.exe: aa_demo.obj agg.lib
	$(LINK) $**

aa_demo.obj: ..\aa_demo.cpp
	$(CXX) $** -o$@

aa_test.exe: aa_test.obj agg.lib
	$(LINK) $**

aa_test.obj: ..\aa_test.cpp
	$(CXX) $** -o$@

alpha_gradient.exe: alpha_gradient.obj agg.lib
	$(LINK) $**

alpha_gradient.obj: ..\alpha_gradient.cpp
	$(CXX) $** -o$@

alpha_mask.exe: alpha_mask.obj parse_lion.obj agg.lib
	$(LINK) $**

alpha_mask.obj: ..\alpha_mask.cpp
	$(CXX) $** -o$@

alpha_mask2.exe: alpha_mask2.obj parse_lion.obj agg.lib
	$(LINK) $**

alpha_mask2.obj: ..\alpha_mask2.cpp
	$(CXX) $** -o$@

alpha_mask3.exe: alpha_mask3.obj make_arrows.obj make_gb_poly.obj agg.lib
	$(LINK) $**

alpha_mask3.obj: ..\alpha_mask3.cpp
	$(CXX) $** -o$@

bezier_div.exe: bezier_div.obj agg.lib
	$(LINK) $**

bezier_div.obj: ..\bezier_div.cpp
	$(CXX) $** -o$@

bspline.exe: bspline.obj interactive_polygon.obj agg.lib
	$(LINK) $**

bspline.obj: ..\bspline.cpp
	$(CXX) $** -o$@

circles.exe: circles.obj agg.lib
	$(LINK) $**

circles.obj: ..\circles.cpp
	$(CXX) $** -o$@

component_rendering.exe: component_rendering.obj agg.lib
	$(LINK) $**

component_rendering.obj: ..\component_rendering.cpp
	$(CXX) $** -o$@

compositing.exe: compositing.obj agg.lib
	$(LINK) $**

compositing.obj: ..\compositing.cpp
	$(CXX) $** -o$@

compositing2.exe: compositing2.obj agg.lib
	$(LINK) $**

compositing2.obj: ..\compositing2.cpp
	$(CXX) $** -o$@

conv_contour.exe: conv_contour.obj agg.lib
	$(LINK) $**

conv_contour.obj: ..\conv_contour.cpp
	$(CXX) $** -o$@

conv_dash_marker.exe: conv_dash_marker.obj agg.lib
	$(LINK) $**

conv_dash_marker.obj: ..\conv_dash_marker.cpp
	$(CXX) $** -o$@

conv_stroke.exe: conv_stroke.obj agg.lib
	$(LINK) $**

conv_stroke.obj: ..\conv_stroke.cpp
	$(CXX) $** -o$@

distortions.exe: distortions.obj agg.lib
	$(LINK) $**

distortions.obj: ..\distortions.cpp
	$(CXX) $** -o$@

flash_rasterizer.exe: flash_rasterizer.obj agg.lib
	$(LINK) $**

flash_rasterizer.obj: ..\flash_rasterizer.cpp
	$(CXX) $** -o$@

flash_rasterizer2.exe: flash_rasterizer2.obj agg.lib
	$(LINK) $**

flash_rasterizer2.obj: ..\flash_rasterizer2.cpp
	$(CXX) $** -o$@

gamma_correction.exe: gamma_correction.obj agg.lib
	$(LINK) $**

gamma_correction.obj: ..\gamma_correction.cpp
	$(CXX) $** -o$@

gamma_ctrl.exe: gamma_ctrl.obj agg.lib
	$(LINK) $**

gamma_ctrl.obj: ..\gamma_ctrl.cpp
	$(CXX) $** -o$@

gamma_tuner.exe: gamma_tuner.obj agg.lib
	$(LINK) $**

gamma_tuner.obj: ..\gamma_tuner.cpp
	$(CXX) $** -o$@

gouraud.exe: gouraud.obj agg.lib
	$(LINK) $**

gouraud.obj: ..\gouraud.cpp
	$(CXX) $** -o$@

gouraud_mesh.exe: gouraud_mesh.obj agg.lib
	$(LINK) $**

gouraud_mesh.obj: ..\gouraud_mesh.cpp
	$(CXX) $** -o$@

gpc_test.exe: gpc_test.obj  make_arrows.obj make_gb_poly.obj agg.lib
	$(LINK) $**

gpc_test.obj: ..\gpc_test.cpp
	$(CXX) $** -o$@

gradients.exe: gradients.obj agg.lib
	$(LINK) $**

gradients.obj: ..\gradients.cpp
	$(CXX) $** -o$@

graph_test.exe: graph_test.obj agg.lib
	$(LINK) $**

graph_test.obj: ..\graph_test.cpp
	$(CXX) $** -o$@

idea.exe: idea.obj agg.lib
	$(LINK) $**

idea.obj: ..\idea.cpp
	$(CXX) $** -o$@

image1.exe: image1.obj agg.lib
	$(LINK) $**

image1.obj: ..\image1.cpp
	$(CXX) $** -o$@

image_alpha.exe: image_alpha.obj agg.lib
	$(LINK) $**

image_alpha.obj: ..\image_alpha.cpp
	$(CXX) $** -o$@

image_filters.exe: image_filters.obj agg.lib
	$(LINK) $**

image_filters.obj: ..\image_filters.cpp
	$(CXX) $** -o$@

image_filters2.exe: image_filters2.obj agg.lib
	$(LINK) $**

image_filters2.obj: ..\image_filters2.cpp
	$(CXX) $** -o$@

image_fltr_graph.exe: image_fltr_graph.obj agg.lib
	$(LINK) $**

image_fltr_graph.obj: ..\image_fltr_graph.cpp
	$(CXX) $** -o$@

image_perspective.exe: image_perspective.obj interactive_polygon.obj agg.lib
	$(LINK) $**

image_perspective.obj: ..\image_perspective.cpp
	$(CXX) $** -o$@

image_resample.exe: image_resample.obj interactive_polygon.obj agg.lib
	$(LINK) $**

image_resample.obj: ..\image_resample.cpp
	$(CXX) $** -o$@

image_transforms.exe: image_transforms.obj agg.lib
	$(LINK) $**

image_transforms.obj: ..\image_transforms.cpp
	$(CXX) $** -o$@

line_patterns.exe: line_patterns.obj agg.lib
	$(LINK) $**

line_patterns.obj: ..\line_patterns.cpp
	$(CXX) $** -o$@

line_patterns_clip.exe: line_patterns_clip.obj agg.lib
	$(LINK) $**

line_patterns_clip.obj: ..\line_patterns_clip.cpp
	$(CXX) $** -o$@

lion.exe: lion.obj parse_lion.obj agg.lib
	$(LINK) $**

lion.obj: ..\lion.cpp
	$(CXX) $** -o$@

lion_lens.exe: lion_lens.obj parse_lion.obj agg.lib
	$(LINK) $**

lion_lens.obj: ..\lion_lens.cpp
	$(CXX) $** -o$@

lion_outline.exe: lion_outline.obj parse_lion.obj agg.lib
	$(LINK) $**

lion_outline.obj: ..\lion_outline.cpp
	$(CXX) $** -o$@

mol_view.exe: mol_view.obj agg.lib
	$(LINK) $**

mol_view.obj: ..\mol_view.cpp
	$(CXX) $** -o$@

multi_clip.exe: multi_clip.obj parse_lion.obj agg.lib
	$(LINK) $**

multi_clip.obj: ..\multi_clip.cpp
	$(CXX) $** -o$@

pattern_fill.exe: pattern_fill.obj agg.lib
	$(LINK) $**

pattern_fill.obj: ..\pattern_fill.cpp
	$(CXX) $** -o$@

pattern_perspective.exe: pattern_perspective.obj interactive_polygon.obj agg.lib
	$(LINK) $**

pattern_perspective.obj: ..\pattern_perspective.cpp
	$(CXX) $** -o$@

pattern_resample.exe: pattern_resample.obj interactive_polygon.obj agg.lib
	$(LINK) $**

pattern_resample.obj: ..\pattern_resample.cpp
	$(CXX) $** -o$@

perspective.exe: perspective.obj parse_lion.obj interactive_polygon.obj agg.lib
	$(LINK) $**

perspective.obj: ..\perspective.cpp
	$(CXX) $** -o$@

polymorphic_renderer.exe: polymorphic_renderer.obj agg.lib
	$(LINK) $**

polymorphic_renderer.obj: ..\polymorphic_renderer.cpp
	$(CXX) $** -o$@

rasterizers.exe: rasterizers.obj agg.lib
	$(LINK) $**

rasterizers.obj: ..\rasterizers.cpp
	$(CXX) $** -o$@

rasterizers2.exe: rasterizers2.obj agg.lib
	$(LINK) $**

rasterizers2.obj: ..\rasterizers2.cpp
	$(CXX) $** -o$@

raster_text.exe: raster_text.obj agg.lib
	$(LINK) $**

raster_text.obj: ..\raster_text.cpp
	$(CXX) $** -o$@

rounded_rect.exe: rounded_rect.obj agg.lib
	$(LINK) $**

rounded_rect.obj: ..\rounded_rect.cpp
	$(CXX) $** -o$@

scanline_boolean.exe: scanline_boolean.obj interactive_polygon.obj agg.lib
	$(LINK) $**

scanline_boolean.obj: ..\scanline_boolean.cpp
	$(CXX) $** -o$@

scanline_boolean2.exe: scanline_boolean2.obj  make_arrows.obj make_gb_poly.obj agg.lib
	$(LINK) $**

scanline_boolean2.obj: ..\scanline_boolean2.cpp
	$(CXX) $** -o$@

simple_blur.exe: simple_blur.obj parse_lion.obj agg.lib
	$(LINK) $**

simple_blur.obj: ..\simple_blur.cpp
	$(CXX) $** -o$@

trans_curve1.exe: trans_curve1.obj interactive_polygon.obj agg.lib
	$(LINK) $**

trans_curve1.obj: ..\trans_curve1.cpp
	$(CXX) $** -o$@

trans_curve2.exe: trans_curve2.obj interactive_polygon.obj agg.lib
	$(LINK) $**

trans_curve2.obj: ..\trans_curve2.cpp
	$(CXX) $** -o$@

trans_polar.exe: trans_polar.obj agg.lib
	$(LINK) $**

trans_polar.obj: ..\trans_polar.cpp
	$(CXX) $** -o$@

truetype_test.exe: truetype_test.obj agg.lib
	$(LINK) $**

truetype_test.obj: ..\truetype_test.cpp
	$(CXX) $** -o$@

parse_lion.obj: ..\parse_lion.cpp
	$(CXX) $** -o$@

make_arrows.obj: ..\make_arrows.cpp
	$(CXX) $** -o$@

make_gb_poly.obj: ..\make_gb_poly.cpp
	$(CXX) $** -o$@

interactive_polygon.obj: ..\interactive_polygon.cpp
	$(CXX) $** -o$@

agg.lib: agg_arc.obj agg_arrowhead.obj agg_bezier_arc.obj agg_bspline.obj agg_curves.obj \
         agg_embedded_raster_fonts.obj agg_gsv_text.obj agg_image_filters.obj \
         agg_line_aa_basics.obj agg_line_profile_aa.obj agg_rounded_rect.obj \
         agg_sqrt_tables.obj agg_trans_affine.obj agg_trans_double_path.obj \
         agg_trans_single_path.obj agg_trans_warp_magnifier.obj agg_vcgen_bspline.obj \
         agg_vcgen_contour.obj agg_vcgen_dash.obj agg_vcgen_markers_term.obj \
         agg_vcgen_smooth_poly1.obj agg_vcgen_stroke.obj agg_vpgen_clip_polygon.obj \
         agg_vpgen_clip_polyline.obj agg_vpgen_segmentator.obj agg_font_win32_tt.obj \
         agg_bezier_ctrl.obj agg_cbox_ctrl.obj agg_gamma_ctrl.obj agg_gamma_spline.obj \
         agg_polygon_ctrl.obj agg_rbox_ctrl.obj agg_scale_ctrl.obj agg_slider_ctrl.obj \
         agg_spline_ctrl.obj agg_platform_support.obj agg_win32_bmp.obj gpc.obj
	$(LIB) -c $@ $**

agg_arc.obj:                        ..\..\src\agg_arc.cpp
	$(CXX) $** -o$@

agg_arrowhead.obj:                  ..\..\src\agg_arrowhead.cpp
	$(CXX) $** -o$@

agg_bezier_arc.obj:                 ..\..\src\agg_bezier_arc.cpp
	$(CXX) $** -o$@

agg_bspline.obj:                    ..\..\src\agg_bspline.cpp
	$(CXX) $** -o$@

agg_curves.obj:                     ..\..\src\agg_curves.cpp
	$(CXX) $** -o$@

agg_embedded_raster_fonts.obj:      ..\..\src\agg_embedded_raster_fonts.cpp
	$(CXX) $** -o$@

agg_gsv_text.obj:                   ..\..\src\agg_gsv_text.cpp
	$(CXX) $** -o$@

agg_image_filters.obj:              ..\..\src\agg_image_filters.cpp
	$(CXX) $** -o$@

agg_line_aa_basics.obj:             ..\..\src\agg_line_aa_basics.cpp
	$(CXX) $** -o$@

agg_line_profile_aa.obj:            ..\..\src\agg_line_profile_aa.cpp
	$(CXX) $** -o$@

agg_rounded_rect.obj:               ..\..\src\agg_rounded_rect.cpp
	$(CXX) $** -o$@

agg_sqrt_tables.obj:                ..\..\src\agg_sqrt_tables.cpp
	$(CXX) $** -o$@

agg_trans_affine.obj:               ..\..\src\agg_trans_affine.cpp
	$(CXX) $** -o$@

agg_trans_double_path.obj:          ..\..\src\agg_trans_double_path.cpp
	$(CXX) $** -o$@

agg_trans_single_path.obj:          ..\..\src\agg_trans_single_path.cpp
	$(CXX) $** -o$@

agg_trans_warp_magnifier.obj:       ..\..\src\agg_trans_warp_magnifier.cpp
	$(CXX) $** -o$@

agg_vcgen_bspline.obj:              ..\..\src\agg_vcgen_bspline.cpp
	$(CXX) $** -o$@

agg_vcgen_contour.obj:              ..\..\src\agg_vcgen_contour.cpp
	$(CXX) $** -o$@

agg_vcgen_dash.obj:                 ..\..\src\agg_vcgen_dash.cpp
	$(CXX) $** -o$@

agg_vcgen_markers_term.obj:         ..\..\src\agg_vcgen_markers_term.cpp
	$(CXX) $** -o$@

agg_vcgen_smooth_poly1.obj:         ..\..\src\agg_vcgen_smooth_poly1.cpp
	$(CXX) $** -o$@

agg_vcgen_stroke.obj:               ..\..\src\agg_vcgen_stroke.cpp
	$(CXX) $** -o$@

agg_vpgen_clip_polygon.obj:         ..\..\src\agg_vpgen_clip_polygon.cpp
	$(CXX) $** -o$@

agg_vpgen_clip_polyline.obj:        ..\..\src\agg_vpgen_clip_polyline.cpp
	$(CXX) $** -o$@

=== debian/changelog ===
python-enable (3.3.1-3) unstable; urgency=low

  * debian/control: Add python-enthoughtbase to Depends (Closes: #599479)
  * debian/rules: Do not install setup.py files (Closes: #595785)

 -- Varun Hiremath <varun@debian.org>  Sun, 10 Oct 2010 22:26:28 -0400

python-enable (3.3.1-2) unstable; urgency=low

  * Add patches/fix_exceptions.diff to fix Python string exceptions
    (Closes: #585288)
  * Remove conflicts on python-enthought-chaco2 - no longer needed
  * Bump Standards-Version to 3.9.1

 -- Varun Hiremath <varun@debian.org>  Wed, 11 Aug 2010 01:33:31 -0400

python-enable (3.3.1-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 03 Jun 2010 01:46:10 -0400

python-enable (3.3.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.4
  * Switch to source format 3.0
  * Update patches/freetype2.diff

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Feb 2010 14:56:36 -0500

python-enable (3.2.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.2
  * Add python-pyrex to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Mon, 20 Jul 2009 02:55:56 -0400

python-enable (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 26 Mar 2009 20:06:26 -0400

python-enable (3.0.2-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Varun Hiremath ]
  * New upstream release
  * debian/control: add python-setupdocs to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Dec 2008 22:34:11 -0500

python-enable (3.0.1-1) experimental; urgency=low

  * Initial release

 -- Varun Hiremath <varun@debian.org>  Fri, 12 Dec 2008 16:37:21 -0500

=== debian/control ===
Source: python-enable
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper(>= 7), python-all-dev, python-central,
 python-setuptools, python-setupdocs, python-numpy, python-pyrex, swig,
 libfreetype6-dev, libx11-dev, libglu1-mesa-dev
Standards-Version: 3.9.1
XS-Python-Version: >=2.4
Homepage: http://pypi.python.org/pypi/Enable
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-enable/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-enable/trunk/

Package: python-enable
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-numpy, python-traitsgui, python-enthoughtbase,
 python-wxgtk2.8, python-pkg-resources
XB-Python-Version: ${python:Versions}
Description: Drawing and interaction packages
 The Enable project provides two related multi-platform packages for
 drawing GUI objects.
 .
   * Enable: An object drawing library that supports containment and
     event notification.
   * Kiva: A multi-platform DisplayPDF vector drawing engine.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
DEB_INSTALL_CHANGELOGS_ALL      += docs/CHANGES.txt
PYSHARED=$(DEB_DESTDIR)/`pycentral pycentraldir python-enable`
EXAMPLES=$(DEB_DESTDIR)/usr/share/doc/python-enable

install/python-enable::
	find $(DEB_DESTDIR) -name 'LICENSE.txt' -delete
	find $(DEB_DESTDIR) -name 'setup.py' -delete

binary-predeb/python-enable::
	find $(PYSHARED) -type f | xargs sed -i '/^#!/d'
	find $(PYSHARED) -type f | xargs chmod 644
	find $(EXAMPLES) -type f | xargs sed -i '/^#!/d'
	find $(EXAMPLES) -type f | xargs chmod 644
	find $(EXAMPLES) -name 'CHANGES.txt' -delete

get-orig-source:
	-uscan --upstream-version 0 --rename

## python-enable 4.0.0

=== debian/changelog ===
python-enable (4.0.0-2build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:09:43 +0000

python-enable (4.0.0-2) unstable; urgency=low

  * Update patches/freetype2.diff to fix linking issues with libX11
    (Closes: #639232)

 -- Varun Hiremath <varun@debian.org>  Fri, 26 Aug 2011 22:03:57 -0400

python-enable (4.0.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2
  * Update debian/watch file
  * Remove patches/sike.diff - not needed

 -- Varun Hiremath <varun@debian.org>  Fri, 08 Jul 2011 17:28:49 -0400

python-enable (3.4.1-2) unstable; urgency=low

  * d/rules: fix pyshared directory path

 -- Varun Hiremath <varun@debian.org>  Wed, 06 Apr 2011 19:28:09 -0400

python-enable (3.4.1-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2 (Closes: #617002)

 -- Varun Hiremath <varun@debian.org>  Tue, 05 Apr 2011 21:54:28 -0400

python-enable (3.3.2-2) experimental; urgency=low

  * Modify patches/sike.diff - import 'with' keyword to enable
    compilation with python2.5, thanks to Piotr

 -- Varun Hiremath <varun@debian.org>  Thu, 21 Oct 2010 18:07:36 -0400

python-enable (3.3.2-1) experimental; urgency=low

  * New upstream release
  * d/copyright: Remove BSD license references
  * d/control: Add cython to Build-Depends
  * Drop patches/fix_exceptions.diff -- merged upstream
  * Add patches/sike.diff to fix a compilation error

 -- Varun Hiremath <varun@debian.org>  Sun, 17 Oct 2010 23:10:41 -0400

=== debian/control ===
Source: python-enable
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper(>= 7), python-all-dev (>= 2.6.6-3~),
 python-setuptools, python-setupdocs, python-numpy, python-pyrex, swig,
 libfreetype6-dev, libx11-dev, libglu1-mesa-dev, cython
Standards-Version: 3.9.2
X-Python-Version: >=2.5
Homepage: http://pypi.python.org/pypi/enable
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-enable/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-enable/trunk/

Package: python-enable
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-numpy, python-traitsui, python-wxgtk2.8, python-pkg-resources
Description: Drawing and interaction packages
 The Enable project provides two related multi-platform packages for
 drawing GUI objects.
 .
   * Enable: An object drawing library that supports containment and
     event notification.
   * Kiva: A multi-platform DisplayPDF vector drawing engine.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_PYTHON_SYSTEM=pycentral
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
@@ -8,8 +6,8 @@
 DEB_COMPRESS_EXCLUDE		:= .py
 DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
 DEB_INSTALL_CHANGELOGS_ALL      += docs/CHANGES.txt
-PYSHARED=$(DEB_DESTDIR)/`pycentral pycentraldir python-enable`
-EXAMPLES=$(DEB_DESTDIR)/usr/share/doc/python-enable
+PYSHARED                         =$(DEB_DESTDIR)/usr/share/pyshared
+EXAMPLES                         =$(DEB_DESTDIR)/usr/share/doc/python-enable
 
 install/python-enable::
 	find $(DEB_DESTDIR) -name 'LICENSE.txt' -delete
@@ -23,4 +21,4 @@
 	find $(EXAMPLES) -name 'CHANGES.txt' -delete
 
 get-orig-source:
-	-uscan --upstream-version 0 --rename
+	-uscan --force-download --rename

## python-enable 4.1.0

=== debian/changelog ===
python-enable (4.1.0-1ubuntu3) trusty; urgency=medium

  * Let the binary-predeb target work on the usr/lib/python* directory as we
    don't have usr/share/pyshared anymore.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 16:22:29 +0100

python-enable (4.1.0-1ubuntu2) quantal; urgency=low

  * Undo changes from -1ubuntu1 as the reason for them got reverted.
    The package can be synced on next occasion.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 18:36:05 +0200

python-enable (4.1.0-1ubuntu1) quantal; urgency=low

  * debian/rules:
    Let the binary-predeb target work on the usr/lib/python* directory as we
    don't have usr/share/pyshared anymore.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 20 May 2012 15:25:21 +0200

python-enable (4.1.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3
  * Add d/pydist-overrides: "pil python-imaging"

 -- Varun Hiremath <varun@debian.org>  Mon, 23 Apr 2012 15:46:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-enable
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper(>= 7), python-all-dev (>= 2.6.6-3~),
  python-setuptools, python-setupdocs, python-numpy, python-pyrex, swig,
  libfreetype6-dev, libx11-dev, libglu1-mesa-dev, cython
-Standards-Version: 3.9.2
-X-Python-Version: >=2.5
+Standards-Version: 3.9.3
+X-Python-Version: >=2.6
 Homepage: http://pypi.python.org/pypi/enable
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-enable/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-enable/trunk/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
DEB_INSTALL_CHANGELOGS_ALL      += docs/CHANGES.txt
PYSHARED                         =$(DEB_DESTDIR)/usr/lib/python2.?
EXAMPLES                         =$(DEB_DESTDIR)/usr/share/doc/python-enable

install/python-enable::
	find $(DEB_DESTDIR) -name 'LICENSE.txt' -delete
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete
	find $(DEB_DESTDIR) -name 'setup.py' -delete
	dh_numpy

binary-predeb/python-enable::
	find $(PYSHARED) -type f | xargs sed -i '/^#!/d'
	find $(PYSHARED) -type f | xargs chmod 644
	find $(EXAMPLES) -type f | xargs sed -i '/^#!/d'
	find $(EXAMPLES) -type f | xargs chmod 644
	find $(EXAMPLES) -name '.gitignore' -delete
	find $(EXAMPLES) -name 'CHANGES.txt.gz' -delete

get-orig-source:
	-uscan --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://pypi.python.org/pypi/enable .*enable-(.*).tar.gz \
debian debian/orig-tar.sh
